Bug 21867 - Replace remaining document.element.onchange calls in marc_modification_templates.js
Summary: Replace remaining document.element.onchange calls in marc_modification_templa...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 21819
Blocks: 21861
  Show dependency treegraph
 
Reported: 2018-11-20 15:39 UTC by Marcel de Rooy
Modified: 2019-01-02 09:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js (3.07 KB, patch)
2018-11-20 15:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js (3.08 KB, patch)
2018-11-20 16:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js (3.14 KB, patch)
2018-11-20 16:37 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js (3.19 KB, patch)
2018-11-26 19:50 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-11-20 15:39:49 UTC
See also bug 21819.
Comment 1 Marcel de Rooy 2018-11-20 15:49:38 UTC
Created attachment 82553 [details] [review]
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js

Replace onchange() by jQuery change().

Test plan:
Go to marc mod templates. Add, edit and delete. Check if works and no js
errors.
git grep -l -E "onchange\(" should not have occurrences outside lib.
Comment 2 Owen Leonard 2018-11-20 16:08:36 UTC
Created attachment 82554 [details] [review]
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js

Replace onchange() by jQuery change().

Test plan:
Go to marc mod templates. Add, edit and delete. Check if works and no js
errors.
git grep -l -E "onchange\(" should not have occurrences outside lib.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Andreas Roussos 2018-11-20 16:37:39 UTC
Created attachment 82556 [details] [review]
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js

Replace onchange() by jQuery change().

Test plan:
Go to marc mod templates. Add, edit and delete. Check if works and no js
errors.
git grep -l -E "onchange\(" should not have occurrences outside lib.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Comment 4 Marcel de Rooy 2018-11-21 12:05:31 UTC
> Signed-off-by: Owen Leonard <oleonard@myacpl.org>
> Signed-off-by: Andreas Roussos <arouss1980@gmail.com>

Thanks
Comment 5 Josef Moravec 2018-11-26 19:50:31 UTC
Created attachment 82655 [details] [review]
Bug 21867: Replace remaining document.element.onchange calls in marc_modification_templates.js

Replace onchange() by jQuery change().

Test plan:
Go to marc mod templates. Add, edit and delete. Check if works and no js
errors.
git grep -l -E "onchange\(" should not have occurrences outside lib.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Andreas Roussos <arouss1980@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2018-11-27 01:20:46 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Jesse Maseto 2018-12-07 22:06:29 UTC
Backported to 18.05 for 18.05.07
Comment 8 Fridolin SOMERS 2018-12-19 09:51:37 UTC
Pushed to 17.11.x for 17.11.13